WorkflowPrepareAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.WorkflowPrepareAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action
Class WorkflowPrepareAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.WorkflowPrepareAction

Direct Known Subclasses:
  ChangeResourceOwnerFormPrepareAction, CompareMetricsFormPrepareAction, EditResourceGeneralPropertiesFormPrepareAction, MetricDisplayRangeFormPrepareAction, NewAutoDiscoveryPrepAction, NewFormPrepareAction, NewGroupFormPrepareAction, NewServerFormPrepareAction, NewServiceFormPrepareAction, QuickFavoritesPrepareAction, RegisterFormPrepareAction, ResourceGeneralFormPrepareAction, ServerGeneralFormPrepareAction, ServiceGeneralFormPrepareAction, ViewResultsPrepAction

    public abstract class WorkflowPrepareAction

extends org.apache.struts.tiles.actions.TilesAction

This Action is designed to be the start of a workflow. It is for prepare actions. It duplicates code in WorkflowPrepareAction.

Field Summary

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`WorkflowPrepareAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.tiles.ComponentContext context, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Starts workflow by taking what is currently stored in the session as returnPath (one of many possible origins of this workflow), and pushing it onto our workflow stack.
`abstract org.apache.struts.action.ActionForward` | `workflow(org.apache.struts.tiles.ComponentContext context, org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` To participate in a workflow, simply implement this the same as you would execute().

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkflowPrepareAction

    public WorkflowPrepareAction()

Method Detail

### execute

    public final org.apache.struts.action.ActionForward execute(org.apache.struts.tiles.ComponentContext context,
                                                                org.apache.struts.action.ActionMapping mapping,
                                                                org.apache.struts.action.ActionForm form,
                                                                javax.servlet.http.HttpServletRequest request,
                                                                javax.servlet.http.HttpServletResponse response)
                                                         throws java.lang.Exception

  Starts workflow by taking what is currently stored in the session as returnPath (one of many possible origins of this workflow), and pushing it onto our workflow stack. Passes call to workflow() so that the child class can overload.

  Overrides:
    `execute` in class `org.apache.struts.tiles.actions.TilesAction`
  Throws:
    `java.lang.Exception`

### workflow

    public abstract org.apache.struts.action.ActionForward workflow(org.apache.struts.tiles.ComponentContext context,
                                                                    org.apache.struts.action.ActionMapping mapping,
                                                                    org.apache.struts.action.ActionForm form,
                                                                    javax.servlet.http.HttpServletRequest request,
                                                                    javax.servlet.http.HttpServletResponse response)
                                                             throws java.lang.Exception

  To participate in a workflow, simply implement this the same as you would execute(). This will be called by WorkflowActions's execute() method after it saves the workflow context.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.